by Kevin Goldsmith

Created

December 10, 2010

UPDATE 12.17.2010! We’ve resolved the bug and posted a new build. Please download this new build and use at will!

UPDATE 12.13.2010! It looks like the problem we discovered is Mac-only. We now have a repro case and are working on a new build. Please reply to this post if you’ve seen any issues with parameters not appearing on Windows machines (we can’t repro that case). If you are running on a mac, please skip this build and we’ll post another ASAP.

UPDATE 12.11.2010! It looks like something went wrong in the staging and the wrong version was posted. Please hold off installing for now.

The newest version of the Pixel Bender Toolkit, 2.5 is now available for download from the Pixel Bender Technology Center or as an update if you installed it as part of the Creative Suite or After Effects or Flash Pro.

This new version includes some bug fixes and a new graphical editor for creating Pixel Bender graphs for Photoshop or After Effects.

One thing to be careful on, if you currently have version 2.1 of the Pixel Bender Toolkit installed, you need to follow some instructions in the release notes before installing version 2.5

Happy Pixel Bending!

COMMENTS

  • By Marcus Stade - 11:53 PM on December 10, 2010  

    I just downloaded PBT 2.5 and when I try to run a shader that has parameters, it never shows any UI for them. It works in older PBT versions (I had 1.something lying around and it worked just fine) but the same kernels in the new PBT version doesn’t show any parameters at all. The inputs however work fine.

    • By Kevin Goldsmith - 12:25 AM on December 11, 2010  

      Can you post the code you are using for a parameter into a post to the forum? We’ll take a look

      • By Marcus Stade - 6:50 PM on December 11, 2010  

        I’m sorry, I’m not sure which forum you mean. It doesn’t matter what code I run, not even any of the provided samples that expose parameters seem to work. I’ve reverted to 1.5.1 and it works fine.

  • By Tom Beddard - 10:01 AM on December 11, 2010  

    I have exactly the same thing with any of the example scripts or my own that are on the PixelBender Adobe Exchange. I’m running on OS X 10.6.5 on an iMac with a 512MB ATI Radeon HD 4850.
    Other scripts (like my fractal ones) that don’t use a source image I’m getting “WARNING: (line 0): empty generated region!” and nothing is happening.

  • By John - 1:08 PM on December 11, 2010  

    Will you someday STOP littering your setups??? WHY YOU’RE STILL INSTALLING growl on mac without any questions or notifications? Were’nt you apologizing after CS5 fiasco that this will be fixed? when..? 2015????

    Sad, sad Adobe… I can’t ignore and don’t use your products, but any time I could – your options will be trashed immediately. Please start thinking if you CARE about your customers.

    • By Kevin Goldsmith - 11:46 PM on December 13, 2010  

      My team does not develop the Adobe installers, just the Toolkit. I’ve asked someone from that team to respond to your comment.

    • By Eric Wilde - 11:53 PM on December 13, 2010  

      John,

      Growl is removed for products shipping after CS5. You can find some information about the history of Growl usage with Adobe products and where it is heading at the following blog post:

      http://blogs.adobe.com/oobe/2010/05/growl_installation_with_adobe.html

      Thanks,
      –Eric
      ewilde@adobe.com

  • By David Cabestany - 4:26 AM on January 11, 2011  

    i have tried to download the 2.5 upgrade for pixel bender several times and i always get the same error:

    Adobe Pixel Bender Toolkit 2.5 Update
    Installation failed

    i haven’t been able to install so far, can you please fix the patch so it functions properly?

    i’m on mac os 10.6.6, all my other upgrades are up to date.

    thanks.

    • By Kevin Goldsmith - 6:28 PM on January 11, 2011  

      Will respond in e-mail, but for others, best place to post these kinds of things is in the Pixel Bender Forum, where it is easier to have a discussion.

  • By Jon - 6:55 AM on May 15, 2011  

    I have a mac os x with 4 GB of memory i’m having the same problem others are reporting that when trying to open the pixel bender in the filters a message pops up “Could not complete the Pixel Bender Gallery command because there is not enough memory (RAM).” i just want to do this one effect, very annoying. When will a new working installation be available for mac?

  • By Yikes2000 - 9:08 AM on September 1, 2011  

    Download link to the toolkit is broken…

    http://download.macromedia.com/pub/labs/pixelbender/pixelbender_toolkit_2.5.zip

    404 Not Found

    • By Kevin Goldsmith - 7:58 AM on September 4, 2011  

      Thanks for the heads up. It looks like they’ve been doing some reorganizing and the links were indeed broken. I’ve let the powers that be know and it should be fixed soon hopefully.